Bug 497530 - lpstat uses incorrect IPP-Get-Jobs request; rejected by CUPS-1.3.10
lpstat uses incorrect IPP-Get-Jobs request; rejected by CUPS-1.3.10
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 09:57 EDT by Tim Waugh
Modified: 2012-06-20 12:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups-get-jobs-printer-uri.patch (1.33 KB, patch)
2009-04-24 09:57 EDT, Tim Waugh
no flags Details | Diff
cups-get-jobs-printer-uri.patch (1.89 KB, patch)
2009-04-24 11:48 EDT, Tim Waugh
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2996 None None None Never
CUPS Bugs and Features 3107 None None None Never

  None (edit)
Description Tim Waugh 2009-04-24 09:57:59 EDT
Created attachment 341169 [details]
cups-get-jobs-printer-uri.patch

Description of problem:
In 1.3.10 IPP-Get-Jobs IPP requests without a printer-uri attribute are
rejected.  Unfortunately lpstat didn't start sending correctly-formed
IPP-Get-Jobs IPP requests until 1.3.10, so we'll need to patch 1.1.22rc1 to do
that.

This will make Red Hat Enterprise Linux 4 CUPS machines able to operate
correctly with Fedora and future Red Hat Enterprise Linux releases.

Version-Release number of selected component (if applicable):
cups-1.1.22-0.rc1.9.27.el4

How reproducible:
100%

Steps to Reproduce:
1.lpstat -h f10-host -o

Actual results:
Failure

Expected results:
List of queued jobs

See also:

* bug #497518, the Fedora bug in which this was reported;

* STR #2996, the upstream bug report which provoked the change;

* and bug #497529, the equivalent bug for Red Hat Enterprise Linux 5.

Attached patch is sufficient.
Comment 1 Tim Waugh 2009-04-24 11:47:20 EDT
STR #3107 is related, fixes cupsGetJobs2().
Comment 2 Tim Waugh 2009-04-24 11:48:22 EDT
Created attachment 341199 [details]
cups-get-jobs-printer-uri.patch
Comment 3 Tim Waugh 2009-04-24 12:29:29 EDT
Fedora bug report is bug #497519, not #497518.
Comment 4 RHEL Product and Program Management 2010-10-22 14:48:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 5 Jiri Pallich 2012-06-20 12:09:54 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.